bitel.billing.server.contract.bean

## Class ContractPattern

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractPattern

-     public class ContractPattern
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractPattern()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getClosesumma()`
    `java.util.Set<java.lang.Integer>` | `getContractLabels()`
    `org.w3c.dom.Document` | `getData()`
    `int` | `getDaysToLive()`
    `int` | `getDomainId()` ID домена
    `int` | `getFc()`
    `long` | `getGroups()`
    `int` | `getId()`
    `int` | `getMode()`
    `java.util.List<java.lang.String>` | `getModuleList()`
    `java.lang.String` | `getNamePattern()`
    `java.lang.String` | `getObjectString()`
    `int` | `getParamsGroupId()`
    `int` | `getPatternId()`
    `java.util.List<java.lang.Integer>` | `getScriptList()`
    `java.util.List<java.lang.String>` | `getServiceList()`
    `int` | `getStatus()`
    `java.util.List<java.lang.Integer>` | `getTariffGroupList()`
    `java.util.List<java.lang.String>` | `getTariffPlanList()`
    `java.lang.String` | `getTitle()`
    `int` | `getWebMenuId()`
    `void` | `setClosesumma(float closesumma)`
    `void` | `setData(org.w3c.dom.Document data)`
    `void` | `setDaysToLive(int daysToLive)`
    `void` | `setDomainId(int domainId)`
    `void` | `setFc(int fc)`
    `void` | `setGroups(long groups)`
    `void` | `setId(int id)`
    `void` | `setMode(int mode)`
    `void` | `setNamePattern(java.lang.String namePattern)`
    `void` | `setObjectString(java.lang.String objectString)`
    `void` | `setParamsGroupId(int paramsGroupId)`
    `void` | `setPatternId(int patternId)`
    `void` | `setScriptList(java.util.List<java.lang.Integer> scriptId)`
    `void` | `setStatus(int status)`
    `void` | `setTariffGroupList(java.util.List<java.lang.Integer> value)`
    `void` | `setTariffPlanList(java.util.List<java.lang.String> value)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractPattern

          public ContractPattern()

  - ### Method Detail

    - #### getModuleList

          public java.util.List<java.lang.String> getModuleList()

    - #### getPatternId

          public int getPatternId()

    - #### setPatternId

          public void setPatternId(int patternId)

    - #### setId

          public void setId(int id)

    - #### getId

          public int getId()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### setClosesumma

          public void setClosesumma(float closesumma)

    - #### setTariffPlanList

          public void setTariffPlanList(java.util.List<java.lang.String> value)

    - #### setGroups

          public void setGroups(long groups)

    - #### setMode

          public void setMode(int mode)

    - #### setParamsGroupId

          public void setParamsGroupId(int paramsGroupId)

    - #### setFc

          public void setFc(int fc)

    - #### setDaysToLive

          public void setDaysToLive(int daysToLive)

    - #### setTariffGroupList

          public void setTariffGroupList(java.util.List<java.lang.Integer> value)

    - #### getTitle

          public java.lang.String getTitle()

    - #### getClosesumma

          public float getClosesumma()

    - #### getTariffPlanList

          public java.util.List<java.lang.String> getTariffPlanList()

    - #### getGroups

          public long getGroups()

    - #### getMode

          public int getMode()

    - #### getParamsGroupId

          public int getParamsGroupId()

    - #### getFc

          public int getFc()

    - #### getDaysToLive

          public int getDaysToLive()

    - #### getTariffGroupList

          public java.util.List<java.lang.Integer> getTariffGroupList()

    - #### getServiceList

          public java.util.List<java.lang.String> getServiceList()

    - #### getNamePattern

          public java.lang.String getNamePattern()

    - #### setNamePattern

          public void setNamePattern(java.lang.String namePattern)

    - #### getData

          public org.w3c.dom.Document getData()

    - #### setData

          public void setData(org.w3c.dom.Document data)

    - #### getScriptList

          public java.util.List<java.lang.Integer> getScriptList()

    - #### setScriptList

          public void setScriptList(java.util.List<java.lang.Integer> scriptId)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### setObjectString

          public void setObjectString(java.lang.String objectString)

    - #### getObjectString

          public java.lang.String getObjectString()

    - #### getWebMenuId

          public int getWebMenuId()

    - #### getDomainId

          public int getDomainId()

      ID домена
      Returns:
      See Also:
        `Domain`

    - #### setDomainId

          public void setDomainId(int domainId)

    - #### getContractLabels

          public java.util.Set<java.lang.Integer> getContractLabels()